org.eclipse.aether.internal.transport.wagon

## Class PlexusWagonProvider

- java.lang.Object
- - org.eclipse.aether.internal.transport.wagon.PlexusWagonProvider

- All Implemented Interfaces:
    WagonProvider

      @Component(role=WagonProvider.class,
                 hint="plexus")
      public class PlexusWagonProvider
      extends Object
      implements WagonProvider

  A wagon provider backed by a Plexus container and the wagons registered with this container.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlexusWagonProvider()` Creates an uninitialized wagon provider.
    `PlexusWagonProvider(org.codehaus.plexus.PlexusContainer container)` Creates a wagon provider using the specified Plexus container.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.maven.wagon.Wagon` | `lookup(String roleHint)` Acquires a wagon instance that matches the specified role hint.
    `void` | `release(org.apache.maven.wagon.Wagon wagon)` Releases the specified wagon.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlexusWagonProvider

          public PlexusWagonProvider()

      Creates an uninitialized wagon provider.
      Restriction:
        This constructor only supports the Plexus IoC container and should not be called directly by clients.

    - #### PlexusWagonProvider

          public PlexusWagonProvider(org.codehaus.plexus.PlexusContainer container)

      Creates a wagon provider using the specified Plexus container.
      Parameters:
        `container` - The Plexus container instance to use, must not be `null`.

  - ### Method Detail

    - #### lookup

          public org.apache.maven.wagon.Wagon lookup(String roleHint)
                                              throws Exception

      Description copied from interface: `WagonProvider`
      Acquires a wagon instance that matches the specified role hint. The role hint is derived from the URI scheme, e.g. "http" or "file".
      Specified by:
        `lookup` in interface `WagonProvider`
      Parameters:
        `roleHint` - The role hint to get a wagon for, must not be `null`.
      Returns:
        The requested wagon instance, never `null`.
      Throws:
        `Exception` - If no wagon could be retrieved for the specified role hint.

    - #### release

          public void release(org.apache.maven.wagon.Wagon wagon)

      Description copied from interface: `WagonProvider`
      Releases the specified wagon. A wagon provider may either free any resources allocated for the wagon instance or return the instance back to a pool for future use.
      Specified by:
        `release` in interface `WagonProvider`
      Parameters:
        `wagon` - The wagon to release, may be `null`.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.